# Created by pyp2rpm-3.3.8
%global pypi_name minio
%global pypi_version 7.1.15

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        MinIO Python SDK for Amazon S3 Compatible Cloud Storage

License:        Apache-2.0
URL:            https://github.com/minio/minio-py
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(certifi)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(urllib3)

%description
 MinIO Python SDK for Amazon S3 Compatible Cloud Storage [![Slack]( Python SDK
is Simple Storage Service (aka S3) client to perform bucket and object
operations to any Amazon S3 compatible object storage service.For a complete
list of APIs and examples, please take a look at the [Python Client API
Reference]( Minimum Requirements Python 3.7 or higher. Download using pipsh
pip3 install minio...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(certifi)
Requires:       python3dist(urllib3)
%description -n python3-%{pypi_name}
 MinIO Python SDK for Amazon S3 Compatible Cloud Storage [![Slack]( Python SDK
is Simple Storage Service (aka S3) client to perform bucket and object
operations to any Amazon S3 compatible object storage service.For a complete
list of APIs and examples, please take a look at the [Python Client API
Reference]( Minimum Requirements Python 3.7 or higher. Download using pipsh
pip3 install minio...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md README_zh_CN.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jul 06 2023 mockbuilder - 7.1.15-1
- Initial package.